{% include './header.html' %}

<div class="container">
    <div id="content">
        <div class="row">

            <div class="col-sm-12 col-md-4 col-lg-6 ">
                <img id="img_shakespeare"
                     src="/pub/srv-qurator-ui/static/images/shakespeare.jpg">
            </div>
            <div class="col-sm-12 col-md-4 col-lg-6">
                <div id="dialogBox">
                    <div id="dialogMessageField">
                        <div id="welcome_msg" class="speech-bubble">Speak. I am bound to hear.</div>
                        <!-- <div id="user_bubble"></div> -->
                        <div id="result"></div>
                        <!-- <div class="speech-bubble-user"></div>
                        <div class="speech-bubble"></div> -->
                    </div>
                    <div id="scrollHelper">
                    </div>
                    <form id="form_user_input" method="POST" action="">
                        <div class="input-group">
                            <input type="text" class="form-control" id="msg" name="msg" autofocus="autofocus"></input>
                            <span class="input-group-btn">
                <input type="submit" class="btn btn-default" value="Send"></input>
              </span>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

{% include './footer.html' %}

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {
   console.log("Submitting form");

  // Stop form from submitting normally
  event.preventDefault();

  // Get some values from elements on the page:
  var msg = $("#msg").val();

  console.log("msg: " + msg);

  //$( "#user_bubble" ).empty().append( '<div class="speech-bubble-user">' + user_input + '</div>' );
  $("#result").append( '<div class="speech-bubble-user">' + msg + '</div>' );
  $("#msg").val("");


  // Send the data using post
  $.ajax({
    url: "https://demo.qurator.ai/pub/srv-shakespearebot",
    type: 'GET',
    data: {
        "msg": msg
    },
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        $( "#result" ).append( '<div class="speech-bubble">' + data + '</div>' );
    }
  });

});

</script>
</body>
</html>
